Bug 5270 - Локальный пользователь может вызвать экстренную перезагрузку машины.
: Локальный пользователь может вызвать экстренную перезагрузку машины.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/SysVinit-usermode)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-03 11:52 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-03 11:52:36
Локальный пользователь может вызвать экстренную перезагрузку машины.

Если прописать для простого пользователя в /etc/sudoers разрешение на
выполнение
/sbin/reboot без пароля, 
а затем из под этого пользователя 2 или более раз подряд вызвать 
$ sudo reboot
то происходит ЭКСТРЕННАЯ перезагрузка машины без останова ОС.

Причина: быстрый двоекратный вызов /sbin/reboot из под суперпользователя
приводит к экстренной перезагрузки машины без останова ОС.


Используемое программное обеспечение:
(ALTLinux Sisyphus 20040702), SysVinit-2.85-alt7, kernel 2.4.26-std-up-alt5,
2.4.26, 2.4.25, возможно другие. Более старое программное обеспечение
(предположительно до Master 2.2), тоже уязвимо.
Steps to Reproduce:
1.прописать для простого пользователя в /etc/sudoers разрешение на выполнение
/sbin/reboot без пароля, 
2. затем из под этого пользователя 2 или более раз подряд вызвать 
$ sudo reboot
Actual Results:  
ЭКСТРЕННАЯ перезагрузка машины без останова ОС.

Expected Results:  
Перезагрузка машины с предварительным остановом ОС.
------- Comment #1 From 2004-10-04 13:03:59 -------
Может не надо прописывать для простого пользователя в /etc/sudoers разрешение
на
выполнение /sbin/reboot без пароля, если вы не доверяете этому простому
пользователю?
------- Comment #2 From 2004-11-15 22:52:18 -------
(In reply to comment #1)
> Может не надо прописывать для простого пользователя в /etc/sudoers разрешение на
> выполнение /sbin/reboot без пароля, если вы не доверяете этому простому
> пользователю?

Тогда ещё одна бага -- я эту заметил случайно. Себе я /sbin/reboot доверяю, но
IceWM 2 раза вызывает команду reboot при нажатии на "Перезагрузить" в меню, в
результате система ресетится. К тому же, IMHO, оператор должен, иногда, иметь
возможность перезагружать машину.
------- Comment #3 From 2004-11-15 23:10:03 -------
Баги в icewm лично меня не интересуют.

Вызов halt(8)/reboot(8) с 0-го или 6-го runlevel'а вызывает незамедлительный
останов/перезапуск, это отражено в документации.
------- Comment #4 From 2005-04-19 21:32:35 -------
при нажатии на "Перезагрузить" в меню запускается не /sbin/reboot, а
/usr/bin/reboot.
------- Comment #5 From 2005-04-19 21:36:59 -------
Fixed in SysVinit-usermode-1.5-alt1.